import sublime
import sublime_plugin
from _winreg import *

class CurrentPathStatusCommand(sublime_plugin.EventListener):
		def on_activated(self, view):
			filename = view.file_name()
			if filename:
				encode=view.encoding()
				encodeF=""+view.encoding()+""
				view.set_status('zPath',  "Poseidon - Standard Edition 0.67 <--FILE--> "+filename+"<--POS-->   ")
			else:
				view.set_status('zPath',  "Poseidon - Standard Edition 0.67 <--POS-->  ")